IEEE1284_FREE_PORTS(3)

NAME
ieee1284_free_ports - safely deallocate a port list

SYNOPSIS

#include <ieee1284.h>

void ieee1284_free_ports(struct parport_list *list);

DESCRIPTION

When the port list will no longer be used, the program should call ieee1284_free_ports giving it a pointer to the parport_list structure that holds the list of ports returned by ieee1284_find_ports(3). The ports are reference counted with the ieee1284_open and ieee1284_close functions, and so the port list may be freed even if it contains pointers to ports that are still open.

AUTHOR

Tim Waugh <twaugh@redhat.com>

    Author.

COPYRIGHT
Copyright © 2001-2003 Tim Waugh